using System;
using System.Linq;
using Microsoft.Xrm.Sdk;
using Microsoft.Xrm.Sdk.Query;

namespace OrbitOne.CRMLyncInfoDashboard.CRM.Plugins
{
    public class AccountSearchFieldProvider: SearchFieldProvider
    {
        protected override CrmField[] CalculationFields
        {
            get
            {
                return new[]
                           {
                               new CrmField(CrmFieldType.PhoneNumber, "telephone1"),
                               new CrmField(CrmFieldType.PhoneNumber, "telephone2"),
                               new CrmField(CrmFieldType.EmailAddress, "emailaddress1"),
                           };
            }
        }
    }
}