using Microsoft.Xrm.Sdk;
using Microsoft.Xrm.Sdk.Query;

namespace OrbitOne.CRMLyncInfoDashboard.CRM.Plugins
{
    public class ContactSearchFieldProvider: SearchFieldProvider
    {
        protected override CrmField[] CalculationFields
        {
            get
            {
                return new[]
                           {
                               new CrmField(CrmFieldType.PhoneNumber, "telephone1"), 
                               new CrmField(CrmFieldType.PhoneNumber, "telephone2"), 
                               new CrmField(CrmFieldType.PhoneNumber, "mobilephone"), 
                               new CrmField(CrmFieldType.EmailAddress,"emailaddress1" ), 
                           };
            }
        }
    }
}