using System;
using System.ComponentModel.Composition;
using System.Linq.Expressions;
using OrbitOne.CRMLyncInfoDashboard.CRM.OrganizationData;
using OrbitOne.CRMLyncInfoDashboard.CRM.WCF;

namespace OrbitOne.CRMLyncInfoDashboard.CRM.OData
{
    [Export(typeof(ICrmAccountMetadataProvider))]
    public class CrmAccountMetadataProvider : CrmMetadataProvider<Account>, ICrmAccountMetadataProvider
    {
      
        [ImportingConstructor]
        public CrmAccountMetadataProvider(IWCFHelper wcfHelper, IClientScript clientScript) : base(wcfHelper, clientScript)
        {
        }

        public override Expression<Func<IDataCollection, object>> BindingTarget
        {
            get { return mc => mc.AccountData; }
        }
    }
}