using System;
using System.Collections.Generic;

namespace OrbitOne.CRMLyncInfoDashboard.CRM.OData
{
    public interface ICrmDataProviderFactory
    {
        IEnumerable<ICrmDataProvider> CrmDataProviders { get; }
    }

    public interface ICrmMetadataProviderFactory
    {
        IEnumerable<ICrmMetadataProvider> CrmMetadataProviders { get; }
        ICrmMetadataProvider this[string entityLogicalName] { get; }
    }
}