using System;
using OrbitOne.CRMLyncInfoDashboard.CRM.OrganizationData;

namespace OrbitOne.CRMLyncInfoDashboard.CRM.OData
{
    public class PhoneCallModel
    {
        private readonly IEntityModel m_entityModel;
        private readonly EntityModelTypes m_entityModelType;
        private PhoneCall m_phoneCall;

        public PhoneCallModel(IEntityModel entityModel, EntityModelTypes entityModelType)
        {
            m_phoneCall = new PhoneCall();
            m_entityModel = entityModel;
            m_entityModelType = entityModelType;
        }

        public string PhoneNumber
        {
            get { return m_phoneCall.PhoneNumber; }
            set { m_phoneCall.PhoneNumber = value; }
        }
    }
}