﻿using System.Collections;
using System.Collections.Generic;
using System.Linq;
using OrbitOne.CRMLyncInfoDashboard.CRM.OData;

namespace OrbitOne.CRMLyncInfoDashboard.Shell
{
    public class AccordionItemModel
    {
        public AccordionItemModel(AccordionItemHeaderModel header, 
            IList<IEntityModel> entities,
            IList<GridHeaderLabel> gridHeaderLabels,
            IList<SavedQueryDisplayItem> savedQueryDisplayItems,
            int sequenceNumber)
        {
            Header = header;
            Entities = entities;
            GridHeaderLabels = gridHeaderLabels;
            SavedQueryDisplayItems = savedQueryDisplayItems;
            SequenceNumber = sequenceNumber;
        }

        public AccordionItemHeaderModel Header { get; private set; }
        public IList<IEntityModel> Entities { get; private set; }
        
        public IList<GridHeaderLabel> GridHeaderLabels { get; private set; }
        public IList<SavedQueryDisplayItem> SavedQueryDisplayItems { get; private set; }
        public int SequenceNumber { get; private set; }
    }
}