﻿using System.Runtime.Serialization;
using OrbitOne.CRMLyncInfoDashboard.CRM.WCF.Organization;

namespace OrbitOne.CRMLyncInfoDashboard.CRM.WCF
{
    [KnownType(typeof(QueryBase))]
    [KnownType(typeof(Relationship))]
    [KnownType(typeof(EntityCollection))]
    [DataContract(Name = "KeyValuePairOfstringanyType", Namespace = "http://schemas.datacontract.org/2004/07/System.Collections.Generic")]
    public class KeyValuePair<TKey, TValue>
    {
        public KeyValuePair(TKey key, TValue value)
        {
            Key = key;
            Value = value;
        }

        private TKey m_key;

        [DataMember(Name = "key")]
        public TKey Key
        {
            get { return m_key; }
            set { m_key = value; }
        }

        private TValue m_value;

        [DataMember(Name = "value")]
        public TValue Value
        {
            get { return m_value; }
            set { m_value = value; }
        }
    }
}