using System.Collections.Generic;
using OrbitOne.CRMLyncInfoDashboard.CRM.OData;
using OrbitOne.CRMLyncInfoDashboard.CRM.Organization;
using OrbitOne.CRMLyncInfoDashboard.Lync;

namespace OrbitOne.CRMLyncInfoDashboard.CRM
{
    public interface IDataCollection
    {
        EntityData AccountData { get; set; }
        EntityData ContactData { get; set; }
        EntityData LeadData { get; set; }
        Endpoint[] Messages { get; set; }
        EntityMetadata[] EntityMetadata { get; set; }
        bool IsBusy { get; set; }
    }

    public interface ISearchFieldProvisionerDataCollection
    {
        List<string> StatusMessages { get; set; }
    }
}