﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace OrbitOne.CRMLyncInfoDashboard.CRM.Organization
{
    [KnownType(typeof(AppointmentRequest))]
    [KnownType(typeof(AttributeMetadata))]
    [KnownType(typeof(ColumnSet))]
    [KnownType(typeof(DateTime))]
    [KnownType(typeof(Entity))]
    [KnownType(typeof(EntityCollection))]
    [KnownType(typeof(EntityFilters))]
    [KnownType(typeof(EntityMetadata))]
    [KnownType(typeof(EntityReference))]
    [KnownType(typeof(EntityReferenceCollection))]
    [KnownType(typeof(Label))]
    [KnownType(typeof(LookupAttributeMetadata))]
    [KnownType(typeof(ManyToManyRelationshipMetadata))]
    [KnownType(typeof(OneToManyRelationshipMetadata))]
    [KnownType(typeof(OptionSetMetadataBase))]
    [KnownType(typeof(OptionSetValue))]
    [KnownType(typeof(PagingInfo))]
    [KnownType(typeof(ParameterCollection))]
    [KnownType(typeof(PrincipalAccess))]
    [KnownType(typeof(PropagationOwnershipOptions))]
    [KnownType(typeof(QueryBase))]
    [KnownType(typeof(Relationship))]
    [KnownType(typeof(RelationshipMetadataBase))]
    [KnownType(typeof(RelationshipQueryCollection))]
    [KnownType(typeof(RibbonLocationFilters))]
    [KnownType(typeof(RollupType))]
    [KnownType(typeof(StringAttributeMetadata))]
    [KnownType(typeof(TargetFieldType))]
    public partial class OrganizationRequest
    {
    }

    [KnownType(typeof (OptionSetValue))]
    [KnownType(typeof (EntityReference))]
    public partial class Entity
    {
    }

    [KnownType(typeof(AccessRights))]
    [KnownType(typeof(AttributeMetadata))]
    [KnownType(typeof(AttributePrivilegeCollection))]
    [KnownType(typeof(AuditDetail))]
    [KnownType(typeof(AuditDetailCollection))]
    [KnownType(typeof(AuditPartitionDetailCollection))]
    [KnownType(typeof(DateTime))]
    [KnownType(typeof(Entity))]
    [KnownType(typeof(EntityCollection))]
    [KnownType(typeof(EntityMetadata))]
    [KnownType(typeof(EntityReferenceCollection))]
    [KnownType(typeof(Guid))]
    [KnownType(typeof(Label))]
    [KnownType(typeof(ManagedPropertyMetadata))]
    [KnownType(typeof(OptionSetMetadataBase))]
    [KnownType(typeof(OrganizationResources))]
    [KnownType(typeof(ParameterCollection))]
    [KnownType(typeof(QueryExpression))]
    [KnownType(typeof(RelationshipMetadataBase))]
    [KnownType(typeof(SearchResults))]
    [KnownType(typeof(ValidationResult))]
    //[KnownType(typeof (IList<EntityMetadata>))]
    public partial class OrganizationResponse
    {
    }
}